## org.eclipse.datatools.modelbase.dbdefinition.impl
Class DatabaseDefinitionFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.dbdefinition.impl.DatabaseDefinitionFactoryImpl

All Implemented Interfaces:
  DatabaseDefinitionFactory

    public class DatabaseDefinitionFactoryImpl

extends EFactoryImpl
implements DatabaseDefinitionFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.dbdefinition.DatabaseDefinitionFactory
`eINSTANCE`

Constructor Summary
`DatabaseDefinitionFactoryImpl()` Creates an instance of the factory.

Method Summary
`java.lang.String` `convertCheckOptionToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLanguageTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertLengthUnitToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertParameterStyleToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertParentDeleteDRIRuleTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertParentUpdateDRIRuleTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertPercentFreeTerminologyToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertProcedureTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertTableSpaceTypeToString(EDataType eDataType, java.lang.Object instanceValue)`
`java.lang.String` `convertToString(EDataType eDataType, java.lang.Object instanceValue)`
`EObject` `create(EClass eClass)`
`CheckOption` `createCheckOptionFromString(EDataType eDataType, java.lang.String initialValue)`
`ColumnDefinition` `createColumnDefinition()`
`ConstraintDefinition` `createConstraintDefinition()`
`DatabaseVendorDefinition` `createDatabaseVendorDefinition()`
`DebuggerDefinition` `createDebuggerDefinition()`
`ExtendedDefinition` `createExtendedDefinition()`
`FieldQualifierDefinition` `createFieldQualifierDefinition()`
`java.lang.Object` `createFromString(EDataType eDataType, java.lang.String initialValue)`
`IndexDefinition` `createIndexDefinition()`
`LanguageType` `createLanguageTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`LengthUnit` `createLengthUnitFromString(EDataType eDataType, java.lang.String initialValue)`
`NicknameDefinition` `createNicknameDefinition()`
`ParameterStyle` `createParameterStyleFromString(EDataType eDataType, java.lang.String initialValue)`
`ParentDeleteDRIRuleType` `createParentDeleteDRIRuleTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`ParentUpdateDRIRuleType` `createParentUpdateDRIRuleTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`PercentFreeTerminology` `createPercentFreeTerminologyFromString(EDataType eDataType, java.lang.String initialValue)`
`PredefinedDataTypeDefinition` `createPredefinedDataTypeDefinition()`
`PrivilegeDefinition` `createPrivilegeDefinition()`
`PrivilegedElementDefinition` `createPrivilegedElementDefinition()`
`ProcedureType` `createProcedureTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`QueryDefinition` `createQueryDefinition()`
`SchemaDefinition` `createSchemaDefinition()`
`SequenceDefinition` `createSequenceDefinition()`
`SQLSyntaxDefinition` `createSQLSyntaxDefinition()`
`StoredProcedureDefinition` `createStoredProcedureDefinition()`
`TableDefinition` `createTableDefinition()`
`TableSpaceDefinition` `createTableSpaceDefinition()`
`TableSpaceType` `createTableSpaceTypeFromString(EDataType eDataType, java.lang.String initialValue)`
`TriggerDefinition` `createTriggerDefinition()`
`UserDefinedTypeDefinition` `createUserDefinedTypeDefinition()`
`ViewDefinition` `createViewDefinition()`
`DatabaseDefinitionPackage` `getDatabaseDefinitionPackage()`
`static DatabaseDefinitionPackage` `getPackage()` Deprecated.
`static DatabaseDefinitionFactory` `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseDefinitionFactoryImpl

    public DatabaseDefinitionFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static DatabaseDefinitionFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createFromString

    public java.lang.Object createFromString(EDataType eDataType,
                                             java.lang.String initialValue)

### convertToString

    public java.lang.String convertToString(EDataType eDataType,
                                            java.lang.Object instanceValue)

### createDatabaseVendorDefinition

    public DatabaseVendorDefinition createDatabaseVendorDefinition()

  Specified by:
    `createDatabaseVendorDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Database Vendor Definition'.

### createPredefinedDataTypeDefinition

    public PredefinedDataTypeDefinition createPredefinedDataTypeDefinition()

  Specified by:
    `createPredefinedDataTypeDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Predefined Data Type Definition'.

### createTableSpaceDefinition

    public TableSpaceDefinition createTableSpaceDefinition()

  Specified by:
    `createTableSpaceDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Table Space Definition'.

### createStoredProcedureDefinition

    public StoredProcedureDefinition createStoredProcedureDefinition()

  Specified by:
    `createStoredProcedureDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Stored Procedure Definition'.

### createTriggerDefinition

    public TriggerDefinition createTriggerDefinition()

  Specified by:
    `createTriggerDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Trigger Definition'.

### createColumnDefinition

    public ColumnDefinition createColumnDefinition()

  Specified by:
    `createColumnDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Column Definition'.

### createConstraintDefinition

    public ConstraintDefinition createConstraintDefinition()

  Specified by:
    `createConstraintDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Constraint Definition'.

### createIndexDefinition

    public IndexDefinition createIndexDefinition()

  Specified by:
    `createIndexDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Index Definition'.

### createExtendedDefinition

    public ExtendedDefinition createExtendedDefinition()

  Specified by:
    `createExtendedDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Extended Definition'.

### createTableDefinition

    public TableDefinition createTableDefinition()

  Specified by:
    `createTableDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Table Definition'.

### createSequenceDefinition

    public SequenceDefinition createSequenceDefinition()

  Specified by:
    `createSequenceDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Sequence Definition'.

### createUserDefinedTypeDefinition

    public UserDefinedTypeDefinition createUserDefinedTypeDefinition()

  Specified by:
    `createUserDefinedTypeDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'User Defined Type Definition'.

### createQueryDefinition

    public QueryDefinition createQueryDefinition()

  Specified by:
    `createQueryDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Query Definition'.

### createSQLSyntaxDefinition

    public SQLSyntaxDefinition createSQLSyntaxDefinition()

  Specified by:
    `createSQLSyntaxDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'SQL Syntax Definition'.

### createNicknameDefinition

    public NicknameDefinition createNicknameDefinition()

  Specified by:
    `createNicknameDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Nickname Definition'.

### createSchemaDefinition

    public SchemaDefinition createSchemaDefinition()

  Specified by:
    `createSchemaDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Schema Definition'.

### createViewDefinition

    public ViewDefinition createViewDefinition()

  Specified by:
    `createViewDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'View Definition'.

### createFieldQualifierDefinition

    public FieldQualifierDefinition createFieldQualifierDefinition()

  Specified by:
    `createFieldQualifierDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Field Qualifier Definition'.

### createDebuggerDefinition

    public DebuggerDefinition createDebuggerDefinition()

  Specified by:
    `createDebuggerDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Debugger Definition'.

### createPrivilegedElementDefinition

    public PrivilegedElementDefinition createPrivilegedElementDefinition()

  Specified by:
    `createPrivilegedElementDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Privileged Element Definition'.

### createPrivilegeDefinition

    public PrivilegeDefinition createPrivilegeDefinition()

  Specified by:
    `createPrivilegeDefinition` in interface `DatabaseDefinitionFactory`
  Returns:
    a new object of class 'Privilege Definition'.

### createCheckOptionFromString

    public CheckOption createCheckOptionFromString(EDataType eDataType,
                                                   java.lang.String initialValue)

### convertCheckOptionToString

    public java.lang.String convertCheckOptionToString(EDataType eDataType,
                                                       java.lang.Object instanceValue)

### createLanguageTypeFromString

    public LanguageType createLanguageTypeFromString(EDataType eDataType,
                                                     java.lang.String initialValue)

### convertLanguageTypeToString

    public java.lang.String convertLanguageTypeToString(EDataType eDataType,
                                                        java.lang.Object instanceValue)

### createParameterStyleFromString

    public ParameterStyle createParameterStyleFromString(EDataType eDataType,
                                                         java.lang.String initialValue)

### convertParameterStyleToString

    public java.lang.String convertParameterStyleToString(EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createParentDeleteDRIRuleTypeFromString

    public ParentDeleteDRIRuleType createParentDeleteDRIRuleTypeFromString(EDataType eDataType,
                                                                           java.lang.String initialValue)

### convertParentDeleteDRIRuleTypeToString

    public java.lang.String convertParentDeleteDRIRuleTypeToString(EDataType eDataType,
                                                                   java.lang.Object instanceValue)

### createParentUpdateDRIRuleTypeFromString

    public ParentUpdateDRIRuleType createParentUpdateDRIRuleTypeFromString(EDataType eDataType,
                                                                           java.lang.String initialValue)

### convertParentUpdateDRIRuleTypeToString

    public java.lang.String convertParentUpdateDRIRuleTypeToString(EDataType eDataType,
                                                                   java.lang.Object instanceValue)

### createProcedureTypeFromString

    public ProcedureType createProcedureTypeFromString(EDataType eDataType,
                                                       java.lang.String initialValue)

### convertProcedureTypeToString

    public java.lang.String convertProcedureTypeToString(EDataType eDataType,
                                                         java.lang.Object instanceValue)

### createTableSpaceTypeFromString

    public TableSpaceType createTableSpaceTypeFromString(EDataType eDataType,
                                                         java.lang.String initialValue)

### convertTableSpaceTypeToString

    public java.lang.String convertTableSpaceTypeToString(EDataType eDataType,
                                                          java.lang.Object instanceValue)

### createPercentFreeTerminologyFromString

    public PercentFreeTerminology createPercentFreeTerminologyFromString(EDataType eDataType,
                                                                         java.lang.String initialValue)

### convertPercentFreeTerminologyToString

    public java.lang.String convertPercentFreeTerminologyToString(EDataType eDataType,
                                                                  java.lang.Object instanceValue)

### createLengthUnitFromString

    public LengthUnit createLengthUnitFromString(EDataType eDataType,
                                                 java.lang.String initialValue)

### convertLengthUnitToString

    public java.lang.String convertLengthUnitToString(EDataType eDataType,
                                                      java.lang.Object instanceValue)

### getDatabaseDefinitionPackage

    public DatabaseDefinitionPackage getDatabaseDefinitionPackage()

  Specified by:
    `getDatabaseDefinitionPackage` in interface `DatabaseDefinitionFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static DatabaseDefinitionPackage getPackage()

  Deprecated.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.